<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateInventoryDailyLoggingOwnersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('inventory_daily_logging_owners', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('owner_id')->unique()->comment('外键货主表');
            $table->enum('status',['启用','禁用'])->default('启用')->comment('货主的日常记录状态');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('inventory_daily_logging_owners');
    }
}
